> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitski.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Token Template

> Create a template for minting tokens

> [!NOTE]
>
> This API requires the `apps` scope

```bash cURL theme={null}
curl -X 'PUT' \
  'https://api.bitski.com/v1/apps/{appId}/token-templates/{tokenTemplateId}' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <ACCESS_TOKEN>' \
  -d '{
  "tokenTemplate": {
    "animationUrl": null,
    "contractId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "defaultMetadata": {},
    "description": "A great token",
    "gatedContent": [],
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "image": "https://cdn.bitskistatic.com/tokens-raw/54676382-bab5-408d-afe2-fc6f160da4a8/06fd0294-a425-44c7-96e8-9d24757163b4.png",
    "isDropLink": false,
    "maxTokens": 100,
    "name": "Bird NFT",
    "namingTemplate": "DEFAULT",
    "payouts": {},
  }
}'
```

### Path

**appId** `string` *required*

Your Bitski Application ID

**tokenTemplateId** `string` *required*

The token template id

### Response

**tokenTemplate** `Token Template object` *required*

**properties**

**id** `string` *required*

**name** `string`

**animationUrl** `string`

**contractId** `string` *required*

**defaultMetadata** `object` *required*

**delayMinting** `boolean` *required*

**description** `string` *required*

**gatedContent** `array` *required*

**image** `string`

**isDroplink** `boolean` *required*

**liveAt** `string`

**maxTokens** `number` *required*

**namingTemplate** `string` *required*

**payouts** `object` *required*

**previewAt** `string`

**prices** `array` *required*

**published** `boolean` *required*

**salesEndAt** `string`

**totalTokens** `number`

```json Sample Response theme={null}
{
  "auctions": [],
  "tokenTemplate": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "animationUrl": null,
    "contractId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "defaultMetadata": {},
    "delayMinting": false,
    "description": "A great token",
    "gatedContent": [],
    "image": "https://cdn.bitskistatic.com/tokens-raw/54676382-bab5-408d-afe2-fc6f160da4a8/06fd0294-a425-44c7-96e8-9d24757163b4.png",
    "isDropLink": false,
    "liveAt": null,
    "maxTokens": 100,
    "name": "Bird NFT",
    "namingTemplate": "DEFAULT",
    "payouts": {},
    "previewAt": null,
    "prices": [],
    "published": false,
    "salesEndAt": null
    "totalTokens": null
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.